ayuda con beryl en ati

Imagen de eL PuaS
0 puntos

Hola, bueno pues mi problema es el siguiente, instale el driver tal y como lo dicen en la wiki de ubuntu ' http://wiki.cchtml.com/index.php/Ubuntu_Edgy_Installation_Guide ' lo instale sin problemas y obtube mi aceleracion 3d, despues me dispuse a instalar Beryl siguiendo este otro tutorial ' http://www.ubuntu-es.org/index.php?q=node/32123 ' el problema es que en las ultimas lineas de mi xorg esta esto:

Section "Extensions"
Option "Composite" "Disable"
EndSection

Que es obligatorio para la aceleracion 3 D, bueno al ejecutar beryl-manager me pone este mensaje:

**************************************************************
* Beryl system compatiblity check *
**************************************************************

Detected xserver : AIGLX

Checking Display :0.0 ...

Checking for XComposite extension : failed

No composite extension
beryl: No composite extension

Me dispuse a cambiar el valor de mi xorg en la seccion d compossite por 'Enable' y al ejecutar beryl-manager, me salio esto otro:

**************************************************************
* Beryl system compatiblity check *
**************************************************************

Detected xserver : AIGLX

Checking Display :0.0 ...

Checking for XComposite extension : passed (v0.3)
Checking for XDamage extension : passed
Checking for RandR extension : passed
Checking for XSync extension : passed

Checking Screen 0 ...

Checking for GLX_SGIX_fbconfig : passed
Checking for GLX_EXT_texture_from_pixmap : passed
Xlib: extension "XFree86-DRI" missing on display ":0.0".
Checking for non power of two texture support : failed

Support for non power of two textures missing
Xlib: extension "XFree86-DRI" missing on display ":0.0".
beryl: glXBindTexImageEXT is missing
beryl: Failed to manage screen: 0
beryl: No manageable screens found on display :0.0

y por si faltaba mas, al poner 'Enable' en el valor de composite, pierdo la aceleracion 3d, ya que al poner $ glxinfo | grep direct me dice que ya no tengo aceleracion grafica, espero que mi problema tenga solucion, ya que al instalar el driver y al instalar Beryl no tube ni un solo problema, bueno salvo esta exepcion.

mi intuicion me dice que es algo facil pero... no se que sea :S

de antemano muchas gracias y espero la ayuda! :D

att eL_PuaS

Imagen de hugolino
+1
0
-1

buscando un poco por el foro encontré que los drivers de ati (no sé si los libre o los propietario) no soportan AIGLX y por eso te da el error, buscá sobre cómo instalar beryl+xgl en vez de beryl+aiglx

+1
0
-1
Imagen de leptom
+1
0
-1

Si usas los drivers libres debes utilizar AIGLX. Si quieres usar los drivers propietarios entonces tira por la solución XGL. Esto ocurre porque los drivers propietarios no soportan composite, ya les vale a estos de ATI!

En el wiki de beryl tienes como instalarlo todo[http://wiki.beryl-project.org/wiki/Main_Page]

Tal como lo estás intentando instalar[http://www.ubuntu-es.org/index.php?q=node/32123] necesitas los drivers libres(drivers no propietarios).

Saludos!

----------------
Prueba gratis nuestro nuevo producto GASTOSgem (http://www.gastosgem.com)

+1
0
-1
Imagen de eL PuaS
+1
0
-1

ok, para quien tenga el mismo problema que yo, lo solucione de una forma muy facil!!

lo primero que hize jue instalar xgl:

$ sudo aptitude install xserver-xgl libgl1-mesa xserver-xorg

despues edite el xorg

$ sudo gedit /etc/X11/xorg.conf

y en el valor que dice:

Section "Extensions"
Option "Composite" "Disable"
EndSection

El valor 'Disable' lo cambie por un '0' (cero) y no un garrafal 'Enable' xD ya que al poner enable, perdia coneccion a internet y muuuy mal funcionamiento del sistema y no jalaba beryl, que era lo interesante!! luego reinicie las x con ctrl + alt + backspace y en las opciones de arranque seleccionas arrancar con xgl, en fin a quien le sirva pues adelante!

+1
0
-1

eL_PuaS